%global vver	451

Name:		lv
Version:	4.51
Release:	alt1_27
License:	GPLv2+
URL:		http://www.ff.iij4u.or.jp/~nrt/lv/
BuildRequires:	ncurses-devel autoconf

Source:		http://www.ff.iij4u.or.jp/~nrt/freeware/%{name}%{vver}.tar.gz
Patch1:		lv-4.49.4-nonstrip.patch
Patch2:		lv-4.51-162372.patch
Patch3:		lv-+num-option.patch
Patch4:		lv-fastio.patch
Patch5:		lv-lfs.patch
Patch6:		%{name}-aarch64.patch
Patch7:		%{name}-no-sigvec.patch

Summary:	A Powerful Multilingual File Viewer
Group:		Text tools
Source44: import.info
%description
lv is a powerful file viewer like less.
lv can decode and encode multilingual streams through
many coding systems: ISO-8859, ISO-2022, EUC, SJIS, Big5,
HZ, Unicode.
It recognizes multi-bytes patterns as regular
expressions, lv also provides multilingual grep.
In addition, lv can recognize ANSI escape sequences
for text decoration.

%prep
%setup -q -n %{name}%{vver}
%patch1 -p1 -b .nonstrip
%patch2 -p1 -b .162372
%patch3 -p1 -b .num
%patch4 -p1 -b .fastio
%patch5 -p1 -b .lfs
%patch6 -p1 -b .6-aarch64
%patch7 -p1 -b .7-sigvec

%build
cd src
autoconf
%configure --enable-fastio
make %{?_smp_mflags}

%install
cd src
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
make install bindir=$RPM_BUILD_ROOT%{_bindir} libdir=$RPM_BUILD_ROOT%{_libdir} mandir=$RPM_BUILD_ROOT%{_mandir} INSTALL="install -p"

%files
%doc GPL.txt README build hello.sample hello.sample.gif index.html
%doc relnote.html
%{_bindir}/lv
%{_bindir}/lgrep
%{_mandir}/man1/lv.1*
%{_libdir}/lv


%changelog
* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 4.51-alt1_27
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 4.51-alt1_26
- update to new release by fcimport

* Mon Oct 20 2014 Igor Vlasenko <viy@altlinux.ru> 4.51-alt1_25
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 4.51-alt1_24
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 4.51-alt1_23
- update to new release by fcimport

* Thu Jan 23 2014 Igor Vlasenko <viy@altlinux.ru> 4.51-alt1_22
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 4.51-alt1_21
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 4.51-alt1_20
- initial fc import

